org.apache.cassandra.db

## Class BatchlogManager

- java.lang.Object
- - org.apache.cassandra.db.BatchlogManager

All Implemented Interfaces:
  BatchlogManagerMBean

    public class BatchlogManager
    extends java.lang.Object
    implements BatchlogManagerMBean

### Field Summary

Fields
`static BatchlogManager` `instance`

### Constructor Summary

Constructors
Constructor and Description
`BatchlogManager()`

### Method Summary

Methods
`int` `countAllBatches()` Counts all batches currently in the batchlog.
`void` `forceBatchlogReplay()` Forces batchlog replay.
`static RowMutation` `getBatchlogMutationFor(java.util.Collection<RowMutation> mutations, java.util.UUID uuid)`
`long` `getTotalBatchesReplayed()`
`void` `start()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final BatchlogManager instance

### Constructor Detail

#### BatchlogManager

    public BatchlogManager()

### Method Detail

#### start

    public void start()

#### countAllBatches

    public int countAllBatches()

Description copied from interface: `BatchlogManagerMBean`
Counts all batches currently in the batchlog.

Specified by:
  `countAllBatches` in interface `BatchlogManagerMBean`
Returns:
  total batch count

#### getTotalBatchesReplayed

    public long getTotalBatchesReplayed()

Specified by:
  `getTotalBatchesReplayed` in interface `BatchlogManagerMBean`
Returns:
  total count of batches replayed since node start

#### forceBatchlogReplay

    public void forceBatchlogReplay()

Description copied from interface: `BatchlogManagerMBean`
Forces batchlog replay. Returns immediately if replay is already in progress.

Specified by:
  `forceBatchlogReplay` in interface `BatchlogManagerMBean`

#### getBatchlogMutationFor

    public static RowMutation getBatchlogMutationFor(java.util.Collection<RowMutation> mutations,
                                     java.util.UUID uuid)